Accounts APIAccount holder verification
Get account holder verification details
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
The unique identifier of the account holder verification.
Format
uuidHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/account-holder-verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc", "status": "COMPLETED", "accountHolderName": { "requested": "string", "returned": "string" }, "result": "MATCH", "executedAt": "2019-08-24T14:15:22Z", "decision": { "performer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "USER" }, "type": "APPROVED", "subject": "ACCOUNT_HOLDER_VERIFICATION", "createdAt": "2019-08-24T14:15:22Z" }, "_links": { "self": { "href": "http://example.com", "method": "GET" }, "transaction": { "href": "http://example.com", "method": "GET" } }}{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "METHOD_NOT_SUPPORTED", "message": "string"}{ "code": "MEDIA_TYPE_NOT_ACCEPTABLE", "message": "string"}{ "code": "UNSUPPORTED_MEDIA_TYPE", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}